These are all the steps show you how to run the simplified SymDrive on S2E 2.0

1. Make sure you build S2E 2.0 following their instructions online. 
PS. It's better to use s2e-env tool to start.

https://github.com/S2E/docs/blob/master/src/s2e-env.rst

2. After you build S2E successfully, build the debian-9.2.1-i386 image by running the following instructions

cd /home/user/s2e
s2e image_build debian-9.2.1-i386

3. Installing Simplified SymDrive

cd /home/user/s2e/projects
git clone https://gitlab.com/yingtong.liu/Simplified_SymDrive.git

4. Running Simplified_SymDrive
./launch-s2e.sh

This scirpt will take care of everything from now. 

The test_short.c tests the write entry point of the short driver now. The write entry point has two bugs (free unalloced memeory, double free). The checker will detect the bugs and kill all the states of the driver. You will see all the messages printed in the host console. 
If you wanna try the read entry function, simply modify test_short.c as the comments show then try step4 again. 

